ווטסאפ - לינוקס, BSD, קוד פתוח ותוכנה חופשית בעברית. Whatsup - Linux, BSD, open source and free software in Hebrew

 
 
  כניסת חברים · רישום · שכחתי סיסמה  
tux the penguin
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
אורח · ·
 

הודעה פורסם: 16/08/2018 - 15:04
נושא ההודעה: בעיה במהלך עדכון מערכת ארץ'

במהלך עדכון למערכת ארץ' ראיתי שיש בעיה באחת החבילות הגדולות - קצב התקשורת היה בעיתי מהשרת הישראלי. לאחר כמה ניסיונות הופיעה הודעת שגיאה והמחשב נתקע. לאחר אתחול ניסיתי שוב לעדכן אבל קבלתי את ההודעה הבאה:
קוד:
$ yay -Syu
 -> db.lck is present. Waiting...

ולא קורה כלום - פשוט המתנה.. איך פותרים את הבעיה הזו וממשיכים לעדכן?

אגב: לא ברור מדוע לא עבר לשרת מראה אחר - סהכ עדכנתי את קובץ שרתי המראות לפי המלצת מדריך ההתקנה וזה מה שמופיע בקובץ: /etc/pacman.d/mirrorlist
קוד:
Server = http://mirror.isoc.org.il/pub/archlinux/$repo/os/$arch
Server = http://archlinux.cu.be/$repo/os/$arch
Server = http://mirror.metalgamer.eu/archlinux/$repo/os/$arch
Server = http://mirror.f4st.host/archlinux/$repo/os/$arch
Server = http://k42.ch/mirror/archlinux/$repo/os/$arch
Server = http://mirror.vpsfree.cz/archlinux/$repo/os/$arch
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
ביבי נ.אורח · ·
 

הודעה פורסם: 16/08/2018 - 16:01
נושא ההודעה:

מה גוגל אמר לך?
מה הויקי של ארץ׳ אמר לך?
נגיד למשל:
https://wiki.archlinux.org/index.php/Pacman#.22Failed_to_init_transaction_.28unable_to_lock_database.29.22_error

מה הדוקמנטציה של yay אמרה לך?

ניסית לסגור את כל התוכנות הפתוחות?
ניסית לאתחל את המחשב?
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 16/08/2018 - 16:46
נושא ההודעה:

לא מצאתי בגוגל ולכן אני שואל.. ובמיוחד בקטע רגיש של עדכון המערכת, לא מעונין לעשות שטויות ולקבל מערכת לא עולה
.
לא מצאתי דוקו של yay ומכיוון שעדכנתי עם yay חושש שהויקי של ארץ' עלול לתת טיפים לא רלוונטיים. לדוגמא בקישור שלך מופיעה הפקודה:
קוד:
rm /var/lib/pacman/db.lck

כדאי לבצע אותה למרות שעדכנתי עם yay?

אכן ניסיתי לאתחל ולסגור את כל התוכנות ולא עזר.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 17/08/2018 - 01:22
נושא ההודעה:

מחק את הקובץ כפי שמופיע במדריך שהציע לולי, והבעיה תעלם.

הסבר מפורט:
הקובץ הנ"ל מורה למנהלי החבילות שמישהו כרגע מטפל ב database של החבילות וכך "מונע" קונפליקטים אם כמה מהם ירוצו בו-זמנית. כפי שתיארת, נאלצת לבצע איתחול, ולצערך הקובץ הנ"ל לא נמחק ולכן YAY נמנע לגעת ב DB. כיון שאנחנו יודעים בודאות שאף מנהל חבילות לא נוגע עכשיו בקובץ הנ"ל (לא הרצת במקרה pacman -Syu או דומה ברקע, נכון?) אפשר להניח שהוא אכן שארית מההרצה הקודמת של yay.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 17/08/2018 - 01:25
נושא ההודעה:

ביבי, לא לולי. סורי.
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 17/08/2018 - 15:53
נושא ההודעה:

מחקתי את הקובץ והבעיה אכן נפתרה. אבל אם כבר אנחנו עוסקים בפעולת העדכון, יש לי כמה שאלות:

כל הבעיה התחילה מבעיה בתקשורת מול השרת בישראל, ומשום מה העדכון הופסק באופן לא מסודר כך שהשאיר את ה database (וגם את המחשב) תקוע. כפי שניתן לראות קובץ שרתי המראה שהצגתי כאן, מכיל כמה אפשרויות - אז מדוע הוא לא דילג לבא בתור? האם מדי צריך להריץ את הפקודה שבודקת איזה שרתים הכי נגישים, כפי שעשיתי במהלך ההתקנה, ולעדכן את הקובץ הזה?

בנוסף, שמתי לב שישנן כל מיני הערות WARNING במהלך העדכון אבל הן לא מרוכזות בסוף התהליך. יש איזה קובץ שמציג את ההערות האלו? צריך להתיחס אליהן? הנה ההערות שהופיעו - האחרונות הופיעו מאז שהתקנתי את המערכת ונראה שהן לא חשובות:
קוד:

warning: /etc/locale.gen installed as /etc/locale.gen.pacnew

WARNING:
  Running IntelliJ IDEA with java other than java 8
  may cause various problems, such as Graddle import not working

>>> You may need to run 'rm -rf ~/.libvirt'

upgrading vde2                                                                                                       [#############################################################################] 100%
vde config files should be placed in /etc/vde, sample files are provided.
iptables and dhcpd sample files have been installed to '/usr/share/vde2'.
Merge those examples, if needed to the according config files.

==> WARNING: Possibly missing firmware for module: wd719x
==> WARNING: Possibly missing firmware for module: aic94xx


תודה
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
אורח · ·
 

הודעה פורסם: 17/08/2018 - 23:36
נושא ההודעה:

שנים לא עבדתי עם ARCH, אבל ממה שאני זוכר הוא ימשיך לנסות לעבוד עם אותו שרת. יש כל מני סקריפטים שינסו למצוא את השרת המהיר ביותר - מנסיון (שנים) שלי, השאר עם השרת הישראלי (שאומנם לפעמים יש איתו בעיות, אך הוא המהיר ביותר) או הגרמני/הולנדי שגם הם די טובים. השתדל להמנע לשנות את הקובץ הזה יותר מדי כי בסופו של דבר יתכנו קונפליקטים בין שרתים לא מעודכנים - פשוט תעדכן כמה שעות מאוחר יותר אם יש בעיה נוכחית בשרת Smile

לגבי ההערות (warnings) - ב ARCH אתה צריך לגלול אחורה ולקרוא. אין קיצורי דרך. יש כמה סקריפטים שיעשו בשבילך חלק מהעבודה (העתקת קבצי pacnew לקובץ המקורי - אבל הזהר מאוד משינויים מהותיים - לפעמים עדיף לעשות עבודה ידנית מאשר לשלם על טעויות מאוחר יותר. למרות שפה זה לינוקס אז הכל ניתן לסדר אבל, כמה זמן פנוי יש לך? Wink ) אבל אין תחליף לעבודה שחורה... Very Happy
 
   
תגובה  עם ציטוט חזרה למעלה
חזרה לתוכן הדיון
הצגת הודעות מלפני:     
מעבר אל:  
כל הזמנים הם GMT + 2 שעות
תגובה לנושא
צפיה בנושא הבא Printable version התחבר כדי לבדוק הודעות פרטיות צפיה בנושא הקודם
PNphpBB2 © 2003-2004 

תוכן הדיון

  1. אורח
  2. אורח [ביבי נ.]
  3. אורח
  4. אורח
  5. אורח
  6. אורח
  7. אורח

Google Ads